buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Assaf Arkin" <ar...@intalio.com>
Subject Re: installing buildr 1.3.1
Date Thu, 24 Jul 2008 21:34:12 GMT
On Thu, Jul 24, 2008 at 10:48 AM, Geoff Ruscoe
<gcruscoe@sigmavisions.com> wrote:
> After reading an article about switching from Maven to Buildr, I thought to
> myself omg, please can it be true?  Can I leave the wretched difficult world
> of maven behind me.  So off I went to get buildr installed on my Linux
> (x86-32).

I'm looking into this, not sure why it happens, in fact the JRuby
stack trace points at a line that doesn't seem to be doing any
recursion.

For Ruby, can you first upgrade to a more recent version of RubyGems
(JRuby 1.1.3 already uses the latest) by running:

  sudo gem update --system

Assaf

>
> I tried to install the latest buildr for jruby and the ruby and am getting
> the same error on both of them.
>
> This was basically the following:
>
> JRuby:
>
> jruby -S gem install jruby-openssl -v 0.2
> jruby -S gem install net-ssh -v 2.0.1
> jruby -S gem install net-sftp -v 2.0.0
> jruby -S gem install rubyforge -v 0.4.5
> jruby -S gem install hoe -v 1.3.0
> jruby -S gem install rspec -v 1.1.3
> jruby -S gem install buildr
>
> # which buildr
> /usr/local/jruby/bin/buildr
>
> # buildr -version
> /usr/local/jruby-1.1.3/lib/ruby/site_ruby/1.8/rubygems/requirement.rb:45:in
> `initialize': stack level too deep (SystemStackError)
>        from
> /usr/local/jruby-1.1.3/lib/ruby/site_ruby/1.8/rubygems/requirement.rb:45:in
> `new'
>        from
> /usr/local/jruby-1.1.3/lib/ruby/site_ruby/1.8/rubygems/requirement.rb:45:in
> `create'
>        from
> /usr/local/jruby-1.1.3/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:59:in
> `initialize'
>        from
> /usr/local/jruby-1.1.3/lib/ruby/site_ruby/1.8/rubygems.rb:130:in `new'
>        from
> /usr/local/jruby-1.1.3/lib/ruby/site_ruby/1.8/rubygems.rb:130:in `activate'
>        from /usr/local/jruby-1.1.3/lib/ruby/site_ruby/1.8/rubygems.rb:49:in
> `gem'
>        from /usr/local/jruby/bin/buildr:18
>        from /usr/local/jruby/bin/buildr:19:in `load'
>         ... 2086 levels...
>        from /usr/local/jruby/bin/buildr:19
>        from /usr/local/jruby/bin/buildr:19:in `load'
>        from /usr/local/jruby/bin/buildr:19
>
>
> For ruby I did a:
>
> ruby -S gem install buildr
>
> answered yes to a bunch of stuff...
>
> and tried
> ruby -S buildr -version
> and get an amazingly similar:
> /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:209:in `search': stack
> level too deep (SystemStackError)
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:208:in
> `each'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:208:in
> `search'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:189:in
> `find_name'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:236:in `activate'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:75:in
> `active_gem_with_options'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:49:in `gem'
>        from /usr/local/jruby/bin/buildr:18
>        from /usr/local/jruby/bin/buildr:19:in `load'
>         ... 8533 levels...
>        from /usr/local/jruby/bin/buildr:19:in `load'
>        from /usr/local/jruby/bin/buildr:19
>        from /usr/local/jruby/bin/buildr:19:in `load'
>        from /usr/local/jruby/bin/buildr:19
>
>
> I have tried running it several other ways and didn't have any success.
>
> I couldn't find a search on the mailing list, but I did search w/ google for
> everything I could think of involving this stack trace.
>
> Can anyone be of assistance?
>
> Thanks,
> Geoff
>

Mime
View raw message